# /home/rimo3/Stiahnuté/Makefile
# E-mail: xcyprich AT mendelu cz
#===========================================
CO=ALL

all: $(CO).pdf

pdf: $(CO).pdf

$(CO).ps: $(CO).dvi
	dvips $(CO)

$(CO).pdf: clean
	pdflatex $(CO)
	pdflatex $(CO)
	bibtex $(CO)
	pdflatex $(CO)
	pdflatex $(CO)

#$(CO).dvi: $(CO).tex $(CO).bib
$(CO).dvi: $(CO).tex
	latex $(CO)
	bibtex $(CO)
	latex $(CO)
	latex $(CO)


clean:
	rm -f *.dvi *.log $(CO).blg $(CO).bbl $(CO).toc *.aux $(CO).out $(CO).lof
	rm -f $(CO).pdf
#	rm *.tar.gz
	rm -f *~

pack:
	tar czvf "Diplomka `date +"%d.%m"`.tar.gz" *.tex *.sty ./fig/* Makefile #*.bib *.bst ./cls/* Changelog
